Bug 1012184 - RFE: Searching for topic maps is cumbersome and hard to discover
RFE: Searching for topic maps is cumbersome and hard to discover
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: CCMS-Core (Show other bugs)
1.1
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 19:11 EDT by Ruediger Landmann
Modified: 2014-08-04 18:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2013-09-25 19:11:41 EDT
Description of problem:
It would be really useful to be able to search for a topic map by keywords contained in it (for example, the title of a book). Right now, search seems only to return hits from topics. 

Additionally, the Search -> Search Content Specs button might be named to reflect its function a little more closely. Right now, it seems to return a filterable list of all topic maps in the database, which is probably a little different from what most people think of as "search" (but I might also just be generalising from my own experience here). 

Version-Release number of selected component (if applicable):
Current prod

How reproducible:
100%

Steps to Reproduce:
1. Search for a words you know exist within a topic map, for example "SystemTap"


Actual results:
Search only finds topics

Expected results:
Search is able to find maps as well. Users might want to be able to filter results to include maps, topics, or both.

Additional info:
Workaround is to search for a topic that you know is included in a particular map, then click "Content Specs"
Comment 2 Ruediger Landmann 2013-09-30 18:29:06 EDT
(In reply to Matthew Casperson from comment #1)
> This can be done in DocBuilder, or from the Content Spec search screen

> See the Fields tab in the
> search screen for the ability to search specs by title, product, version and
> ID.

Thanks; reframing accordingly. 

I think these maps should be findable from the main search box. Right now, it's:

* Point to Search
* Point to and click a small target for "search content specs"
* Guess that "Fields" is the right tab and click
* Enter the search term
* Click on another tab to execute the search

I think moving to a different tab to execute the search is surprising behaviour and that most users would expect a search button on the same tab as where they enter the search data.

The content of the "Fields" tab however is perfect for what an "Advanced Search" link near the main search box might link to... :)

Note You need to log in before you can comment on or make changes to this bug.